ICONV_CLOSE(3)

NAME
iconv_close - deallocate descriptor for character set conversion

SYNOPSIS
#include <iconv.h>

int iconv_close(iconv_t cd);

DESCRIPTION
The iconv_close() function deallocates a conversion descriptor cd previously allocated using iconv_open(3).

RETURN VALUE
On success, iconv_close() returns 0; otherwise, it returns -1 and sets errno to indicate the error.

VERSIONS
This function is available in glibc since version 2.1.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

CONFORMING TO
POSIX.1-2001, POSIX.1-2008, SUSv2.

SEE ALSO
iconv(3), iconv_open(3)

COLOPHON
This page is part of release 5.13 of the Linux man-pages project. A description of the project, information about reporting bugs, and the latest version of this page, can be found at https://www.kernel.org/doc/man-pages/.